# Master's Thesis

This is Aras Ergus' master's thesis.

## BaMa File

This repository contains a file provided by the [Bachelor-Master
office][bama] of the mathematics department at University of Bonn. See
`src/MA_Titlepage.sty` for details.


## Bibliography file

The bibliography file `src/bib.bib` evolved from the bibliography of my
bachelor's thisis. The items in it are loosely ordered by the time they were
added and there are some historical remarks describing on which occasion
they were added.

Many items in `bib.bib` are taken from some online resources including

* [zbMATH][zbmath],
* [K-theory Preprint Archives][ktpa].

The origins of such items should be evident from URLs, IDs and similar
entries.

## Bibliography Style

This repository contains a custom bibliography style `halpha.bst`
[from arxiv.org][bst-arxiv].

## Git Mark

In order to make git marks provided by [gitinfo2][gitinfo2] work properly,
you will need to add post-commit, post-merge etc. hooks running
[this][gitinfo-script].


[bama]: http://www.mathematics.uni-bonn.de/study/contact
[zbmath]: https://zbmath.org/
[ktpa]: http://www.math.uiuc.edu/K-theory/
[bst-arxiv]: https://arxiv.org/hypertex/bibstyles/halpha.bst
[gitinfo2]: https://www.ctan.org/pkg/gitinfo2
[gitinfo-script]: http://mirrors.ctan.org/macros/latex/contrib/gitinfo2/post-xxx-sample.txt

